textures/rungy/citytexture
{
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	q3map_sun	.6 .6 .7 160 70 50
        skyparms env/city - -
}

textures/rungy/fence
{
        qer_editorimage textures/rungy/icons/fence.tga
	surfaceparm	metalsteps
    	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm playerclip
   	surfaceparm nonsolid
	surfaceparm nomarks
	cull none
        nopicmip
	{
		map textures/rungy/fence.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

models/mapobjects/rsglow01
{
 deformVertexes autoSprite
 surfaceparm trans
 surfaceparm nomarks
 surfaceparm nolightmap
 cull none
 {
 clampmap models/mapobjects/rsglow01.tga
 blendFunc GL_ONE GL_ONE
 }
}

models/mapobjects/rsbulb01
{
	surfaceparm nomarks
	q3map_surfacelight 100
	light 1
	// Square tourquoise light
	{
		map $lightmap
		rgbGen identity
	}
	{
		map models/mapobjects/rsbulb01.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map models/mapobjects/rsbulb01.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/rungy/rs_spot
{
        surfaceparm trans
        surfaceparm nomarks
        surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
        nomipmaps
	{
		map textures/rungy/rs_spot.tga
                tcMod Scroll .3 0
                blendFunc GL_ONE GL_ONE
        }
}

textures/rungy/batlight
{
        surfaceparm trans
        surfaceparm nomarks
        surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
        nomipmaps
	{
		map textures/rungy/batlight.tga
                blendFunc GL_ONE GL_ONE
        }
}

textures/rungy/glass
{
	qer_editorimage textures/base_wall/chrome_metal.tga
	surfaceparm	trans
	cull none

	{
		map $lightmap
		tcgen environment
		tcmod scale .25 .25
		blendfunc gl_one gl_one
	}

	{
		map textures/base_wall/chrome_metal.tga
		blendFunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_ALPHA
		rgbGen identity
	}

	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
	}
}

textures/rungy/city_windows
{
        qer_editorimage textures/common/qer_mirror.tga
	{
		map textures/base_wall/chrome_env.tga
		tcGen environment
		tcmod scale .25 .25

	}

	{
		map textures/base_wall/chrome_metal.tga
		blendFunc GL_ONE GL_ONE
		detail
        	tcMod scale 0.0693 0.0712
		rgbGen identity
	}


	{
		map $lightmap
                rgbgen identity
		blendFunc GL_DST_COLOR GL_ZERO

	}



}
textures/rungy/streetlight
{
 qer_editorimage textures/rungy/icons/streetlight.tga
    qer_trans 0.50
    deformVertexes autoSprite
 surfaceparm trans
 surfaceparm nomarks
 surfaceparm nolightmap
 cull none
 {
 clampmap textures/rungy/streetlight.tga
 blendFunc GL_ONE GL_ONE
 }
}

textures/rungy/nodraw
{
        qer_editorimage textures/rungy/icons/nodraw.tga
        qer_trans 0.50
        surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm nomarks
}

textures/rungy/nobots
{
        qer_editorimage textures/rungy/nobots.tga
        qer_trans 0.50
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm detail
	surfaceparm donotenter
}

